Subject: stackdump on cygwin (was: is there a cygwin maintainer for gnu emacs?)
From: "emacs user" <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 16 Aug 2005 04:47:39 -0400

here is a sample emacs.exe.stackdump file I get when emacs crashes.  in the 
absence of a detailed gdb GC debugging which I dont know how to do, does 
this help?

Exception: STATUS_ACCESS_VIOLATION at eip=610C4974
eax=21121CB8 ebx=80000014 ecx=20000005 edx=00000000 esi=A1121CC8 
edi=A315B51C
ebp=0022AF4C esp=0022AF40 program=C:\cygwin\usr\local\emacs\src\emacs.exe, 
pid 2804, thread main
cs=001B ds=0023 es=0023 fs=003B gs=0000 ss=0023
Stack trace:
Frame     Function  Args
0022AF4C  610C4974  (2315B50C, 21121CB8, 80000014, 200EBA35)
0022AFFC  201090F2  (00000003, 00000000, 00000000, 00000002)
0022B01C  20109495  (2113F033, 7C9155C9, 0022B158, 00002DD3)
0022B13C  200FBE8A  (00000002, 0022B1D8, 7C9167A4, 0022B1C0)
0022B1AC  20102D35  (00000003, 0022B1D4, 20E96508, 00000000)
0022B24C  2012E75D  (2113F003, 21111484, 00000030, 21134599)
0022B28C  20102607  (0022B314, 7C91056D, 00254E58, 00254E38)
0022B2FC  20102A9B  (00000003, 0022B310, 00000008, 21134599)
0022B36C  20104247  (00000002, 0022B3A4, 7C91056D, 00000000)
0022B39C  20104371  (21134599, 218F75A5, 0022B4EC, 20100788)
0022B3AC  2013448D  (218F75AD, 0022B314, 00000000, 00240198)
0022B4EC  20100788  (20134470, 218F75AD, 202DAA59, 20135750)
0022B52C  201345F5  (21140E04, 0022B560, 0022B564, 0022B568)
0022B5AC  2013594A  (202E09E1, 218F7585, 00000001, 211BB4ED)
0022B5CC  201382A2  (21140E04, 00000001, 0022B5EC, 00000AF4)
0022B5EC  20138387  (202C9001, 00000000, 10000000, 0000000B)
End of stack trace (more stack frames may be present)

>From: Joe Buehler <[email-masked]>
>Reply-To: [email-masked]
>To: [email-masked]
>CC: [email-masked],  [email-masked],  [email-masked]
>Subject: Re: is there a cygwin maintainer for gnu emacs?
>Date: Tue, 09 Aug 2005 14:15:39 -0400
>
>On Tue, 09 Aug 2005 01:08:36 -0400, emacs user <[email-masked]> 
>wrote:
>
> >>
> >> Ehud, thnx for the reply; I didn't do any rebasing (don't know what 
>that
> >> is), and the problem is that emacs crashes about every 5 minutes, 
>mostly in
> >> latex mode when I use the combination of auctex/preview/x-symbol.  very
> >> painful...   I don't have any such difficulties when using precisely 
>the
> >> same combination under linux.
> >>
>
>1. Run emacs under gdb and see if you can get a stack backtrace
>from gdb after emacs dies.  It will depend on how emacs dies
>whether you can do this.
>
>2. Failing that, run strace on emacs and send me the output (say,
>the last couple thousand lines) after it dies.  I may be able to
>deduce something from that.
>--
>Joe Buehler
>

_________________________________________________________________
Express yourself instantly with MSN Messenger! Download today - it's FREE! 
http://messenger.msn.click-url.com/go/onm00200471ave/direct/01/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/